Positionsüberwachung (A3)

1.1 Übersicht PAGEREF _Toc304466228 \h4

1.2 Beschreibung 4

1.3 Parameter 5

1.3.1 Übersicht 5

1.3.2 Beschreibung 5

Mehr:

button Übersicht

button Beschreibung

button Parameter


Übersicht

Aufgabe

Die Achsen der NC-Steuerung werden sowohl im Stillstand als auch während der Bewegung ständig überwacht, ob statische oder dynamische Größen bestimmte Grenzwerte überschreiten. Die Überschreitung eines Grenzwertes meldet die Steuerung in einer Fehlermeldung.

Unter anderem wird die Überwachung folgender Größen von der Steuerung unterstützt:

q Position

q Schleppabstand

q Software-Endschalter

q Kollisionsüberwachung

q Dynamiküberwachung

Die einzelnen Überwachungen werden im Achsparameterdatensatz der Achsen parametriert.

In diesem Dokument wird die Funktionsweise der Positionsüberwachung beschrieben.


Beschreibung

Aufgabe

Die Positionsüberwachung überwacht beim Anfahren einer Zielposition, ob die Istposition ein Genauhaltfenster innerhalb eines bestimmten Zeitraums erreicht (Abbildung 1-1).

Ablauf

Das Fahren auf eine Zielposition mit der Positionsüberwachung erfolgt in zwei Schritten:

1. Wenn der Interpolator keine Sollwerte mehr liefert, hat die Sollposition der Achse ihre programmierte Zielposition erreicht. Die Zeitüberwachung wird zum Zeitpunkt t1 gestartet.

2. Die Zeitüberwachung wird zum Zeitpunkt t3 abgeschaltet, wenn die Istposition der Achse im Bereich des Genauhaltfensters liegt.

Die Steuerung überwacht die Zeit t3. Bei Überschreitung dieser Zeit wird die Meldung 70081 erzeugt [DIAG].

Abbildung 1-1: Positionsüberwachung

Parametrierung

Die Positionsüberwachung wird mit den folgenden Parametern parametriert:

q Die maximal zulässige Einschwingzeit, in der die Istposition das Genauhaltfenster erreicht haben muss, wird mit dem Parameter P-AXIS-00151 eingestellt.

q Das Genauhaltfenster wird mit Parameter P-AXIS-00236 parametriert.

Bemerkung: Bei programmiertem Genauhalt (G60) hat eine Achse die Zielposition erreicht, wenn die Istposition innerhalb des gleichen Positionsfensters liegt.

Empfohlene Parametrierung

q Einschwingzeit: P-AXIS-00151 = 10 bis 200ms

q Genauhaltfenster: P-AXIS-00236 ≥ 3 · ∆sStillstand;

∆sStillstand : realer Schleppabstand im Stillstand


Parameter

Mehr:

button Übersicht

button Beschreibung


Übersicht

ID | Parameter | Beschreibung
P-AXIS-00151 | pos_einschw_zeit | Maximal zulässige Zeit bis zum Erreichen des Genauhaltfensters
P-AXIS-00236 | window | Genauhaltfenster


Beschreibung

P-AXIS-00151 | Maximal zulässige Zeit bis zum Erreichen des Genauhaltfensters.
Parameter | getriebe[i].pos_einschw_zeit
Beschreibung | P-AXIS-00151 beschreibt die maximal zulässige Zeit, in der eine Achse das Genauhaltfenster (window) erreichen muss, nachdem die Sollposition die Zielposition erreicht hat, d.h. der Interpolator keine Sollwerte mehr erzeugt. Die Steuerung erzeugt eine Fehlermeldung, wenn diese Zeit überschritten wird.
Datentyp | UNS32
Datenbereich | 0 ≤ P-AXIS-00151 ≤ MAX(UNS32)/1000
Dimension | ms
Standardwert | 1000000
Anmerkungen | -

P-AXIS-00236 | Genauhaltfenster
Parameter | getriebe[i].window
Beschreibung | P-AXIS-00236 definiert ein Positionsfenster, in welchem sich die Achse in Position befindet. Er wird verwendet zur Positionsüberwachung, wenn die Zielposition erreicht wurde und bei der Funktion G60, die das genaue Anfahren einer Zielposition ermöglicht.
Datentyp | SGN32
Datenbereich | 1 ≤ P-AXIS-00236 ≤ MAX(SGN32)
Dimension | translatorisch: 0,1 μ m | rotatorisch: 0,0001°
Standardwert | 500
Anmerkungen | -